class Manlycraft::Command
  def self.load
    Dir[File.join(File.dirname(__FILE__), "command", "*.rb")].each do |file|
      require file
    end
  end

  def self.run(command, *args)
    klass = self.const_get(command.capitalize).new(args)
    klass.run
  end
end
